## r-cran-rsconnect 0.8.15

=== DESCRIPTION ===
Package: rsconnect
Type: Package
Title: Deployment Interface for R Markdown Documents and Shiny
        Applications
Version: 0.8.15
Author: JJ Allaire
Maintainer: Jonathan McPherson <jonathan@rstudio.com>
Description: Programmatic deployment interface for 'RPubs', 'shinyapps.io', and
    'RStudio Connect'. Supported content types include R Markdown documents,
    Shiny applications, Plumber APIs, plots, and static web content.
Depends: R (>= 3.0.0)
Imports: curl, jsonlite, openssl, packrat (>= 0.4.8-1), rstudioapi (>=
        0.5), yaml (>= 2.1.5)
Suggests: RCurl, callr, httpuv, knitr, plumber (>= 0.3.2), reticulate,
        rmarkdown (>= 1.1), shiny, sourcetools, testthat, xtable
License: GPL-2
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-22 21:53:14 UTC; jmcphers
Repository: CRAN
Date/Publication: 2019-07-22 22:50:02 UTC

=== debian/changelog ===
r-cran-rsconnect (0.8.15-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 22:28:47 +0200

r-cran-rsconnect (0.8.13-1) unstable; urgency=medium

  * Initial release (closes: #898861)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2019 17:58:15 +0200

=== debian/control ===
Source: r-cran-rsconnect
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-curl,
               r-cran-jsonlite,
               r-cran-openssl,
               r-cran-packrat,
               r-cran-rstudioapi,
               r-cran-yaml
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
Homepage: https://cran.r-project.org/package=rsconnect

Package: r-cran-rsconnect
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R deployment interface for markdown and Shiny applications
 Programmatic deployment interface for 'RPubs', 'shinyapps.io', and
 'RStudio Connect'. Supported content types include R Markdown documents,
 Shiny applications, Plumber APIs, plots, and static web content.

## r-cran-rsconnect 0.8.16

=== DESCRIPTION ===
Package: rsconnect
Type: Package
Title: Deployment Interface for R Markdown Documents and Shiny
        Applications
Version: 0.8.16
Author: JJ Allaire
Maintainer: Jonathan McPherson <jonathan@rstudio.com>
Description: Programmatic deployment interface for 'RPubs', 'shinyapps.io', and
    'RStudio Connect'. Supported content types include R Markdown documents,
    Shiny applications, Plumber APIs, plots, and static web content.
Depends: R (>= 3.0.0)
Imports: curl, digest, jsonlite, openssl, packrat (>= 0.4.8-1),
        rstudioapi (>= 0.5), yaml (>= 2.1.5)
Suggests: RCurl, callr, httpuv, knitr, plumber (>= 0.3.2), reticulate,
        rmarkdown (>= 1.1), shiny, sourcetools, testthat, xtable
License: GPL-2
RoxygenNote: 6.1.1
URL: https://github.com/rstudio/rsconnect
BugReports: https://github.com/rstudio/rsconnect/issues
NeedsCompilation: no
Packaged: 2019-12-13 19:18:46 UTC; jmcphers
Repository: CRAN
Date/Publication: 2019-12-13 20:00:02 UTC

=== debian/changelog ===
r-cran-rsconnect (0.8.16-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 23:29:21 +0200

r-cran-rsconnect (0.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jan 2020 21:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,17 @@
                dh-r,
                r-base-dev,
                r-cran-curl,
+               r-cran-digest,
                r-cran-jsonlite,
                r-cran-openssl,
                r-cran-packrat,
                r-cran-rstudioapi,
                r-cran-yaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
 Homepage: https://cran.r-project.org/package=rsconnect
+Rules-Requires-Root: no
 
 Package: r-cran-rsconnect
 Architecture: all

## r-cran-rsconnect 0.8.25

=== DESCRIPTION ===
Package: rsconnect
Type: Package
Title: Deployment Interface for R Markdown Documents and Shiny
        Applications
Version: 0.8.25
Authors@R: c(
    person("Aron", "Atkins", role = c("aut", "cre"), email = "aron@rstudio.com"),
    person("Jonathan", "McPherson", role = "aut", email = "jonathan@rstudio.com"),
    person("JJ", "Allaire", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: Programmatic deployment interface for 'RPubs', 'shinyapps.io', and
    'RStudio Connect'. Supported content types include R Markdown documents,
    Shiny applications, Plumber APIs, plots, and static web content.
Depends: R (>= 3.0.0)
Imports: curl, digest, jsonlite, openssl, packrat (>= 0.6), rstudioapi
        (>= 0.5), tools, yaml (>= 2.1.5)
Suggests: RCurl, callr, httpuv, knitr, plumber (>= 0.3.2), reticulate,
        rmarkdown (>= 1.1), shiny, sourcetools, testthat, xtable
License: GPL-2
Encoding: UTF-8
RoxygenNote: 7.1.2
URL: https://github.com/rstudio/rsconnect
BugReports: https://github.com/rstudio/rsconnect/issues
NeedsCompilation: no
Packaged: 2021-11-16 14:35:24 UTC; aron
Author: Aron Atkins [aut, cre],
  Jonathan McPherson [aut],
  JJ Allaire [aut],
  RStudio [cph, fnd]
Maintainer: Aron Atkins <aron@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-19 07:30:10 UTC

=== debian/changelog ===
r-cran-rsconnect (0.8.25-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.8.25

 -- Nilesh Patra <nilesh@debian.org>  Tue, 23 Nov 2021 19:23:49 +0530

r-cran-rsconnect (0.8.24-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Skip failing tests to access local http server

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 15:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-curl,
                r-cran-digest,
                r-cran-jsonlite,
                r-cran-openssl,
-               r-cran-packrat,
+               r-cran-packrat (>= 0.6),
                r-cran-rstudioapi,
                r-cran-yaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
 Homepage: https://cran.r-project.org/package=rsconnect

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_installdocs:
	dh_installdocs
	# for some reason empty files are removed
	# since these are needed for the test suite
	# the files in question will be manually copied
	cp -a tests/testthat/shiny-app-in-subdir debian/*/usr/share/doc/r-cran-*/tests/testthat
	# leave some trace in build log
	ls -lR debian/*/usr/share/doc/r-cran-*/tests/testthat/shiny-app-in-subdir

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-callr
Restrictions: allow-stderr

## r-cran-rsconnect 0.8.27

=== debian/changelog ===
r-cran-rsconnect (0.8.27-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jul 2022 11:47:41 +0200

r-cran-rsconnect (0.8.26-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Adjust Test-Depends according Suggests field in DESCRIPTION

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 17:20:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                r-cran-curl,
                r-cran-digest,
                r-cran-jsonlite,
-               r-cran-openssl,
+               r-cran-openssl (>= 2.0.0),
                r-cran-packrat (>= 0.6),
                r-cran-rstudioapi,
                r-cran-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
 Homepage: https://cran.r-project.org/package=rsconnect

## r-cran-rsconnect 0.8.29

=== DESCRIPTION ===
Package: rsconnect
Type: Package
Title: Deployment Interface for R Markdown Documents and Shiny
        Applications
Version: 0.8.29
Authors@R: c(
    person("Aron", "Atkins", role = c("aut", "cre"), email = "aron@posit.co"),
    person("Jonathan", "McPherson", role = "aut", email = "jonathan@posit.co"),
    person("JJ", "Allaire", role = "aut"),
    person("Posit Software", role = c("cph", "fnd"))
    )
Description: Programmatic deployment interface for 'RPubs', 'shinyapps.io', and
    'Posit Connect'. Supported content types include R Markdown documents,
    Shiny applications, Plumber APIs, plots, and static web content.
Depends: R (>= 3.0.0)
Imports: curl, digest, jsonlite, openssl (>= 2.0.0), packrat (>= 0.6),
        rstudioapi (>= 0.5), tools, yaml (>= 2.1.5)
Suggests: MASS, RCurl, callr, httpuv, knitr, plumber (>= 0.3.2),
        reticulate, rmarkdown (>= 1.1), shiny, sourcetools, testthat,
        xtable
License: GPL-2
Encoding: UTF-8
RoxygenNote: 7.2.1
URL: https://github.com/rstudio/rsconnect
BugReports: https://github.com/rstudio/rsconnect/issues
NeedsCompilation: no
Packaged: 2023-01-09 19:03:45 UTC; aron
Author: Aron Atkins [aut, cre],
  Jonathan McPherson [aut],
  JJ Allaire [aut],
  Posit Software [cph, fnd]
Maintainer: Aron Atkins <aron@posit.co>
Repository: CRAN
Date/Publication: 2023-01-09 22:50:10 UTC

=== debian/changelog ===
r-cran-rsconnect (0.8.29-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 16:25:40 +0100

r-cran-rsconnect (0.8.28-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 12:55:20 +0100

r-cran-rsconnect (0.8.27-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Team upload.
  * Exclude failing http tests on i386 (Closes: #1016824)

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 05:33:42 +0530

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-packrat (>= 0.6),
                r-cran-rstudioapi,
                r-cran-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
 Homepage: https://cran.r-project.org/package=rsconnect

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcurl,
         r-cran-callr,
         r-cran-httpuv,
         r-cran-knitr,
         r-cran-plumber,
         r-cran-reticulate,
         r-cran-rmarkdown,
         r-cran-shiny,
         r-cran-sourcetools,
         r-cran-testthat,
         r-cran-xtable
Restrictions: allow-stderr

## r-cran-rsconnect 1.0.1

=== DESCRIPTION ===
Type: Package
Package: rsconnect
Title: Deploy Docs, Apps, and APIs to 'Posit Connect', 'shinyapps.io',
        and 'RPubs'
Version: 1.0.1
Authors@R: c(
    person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
    person("Toph", "Allen", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Jonathan", "McPherson", role = "aut"),
    person("JJ", "Allaire", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Programmatic deployment interface for 'RPubs',
    'shinyapps.io', and 'Posit Connect'. Supported content types include R
    Markdown documents, Shiny applications, Plumber APIs, plots, and
    static web content.
License: GPL-2
URL: https://github.com/rstudio/rsconnect
BugReports: https://github.com/rstudio/rsconnect/issues
Depends: R (>= 3.5.0)
Imports: cli, curl, digest, jsonlite, lifecycle, openssl (>= 2.0.0),
        packrat (>= 0.6), renv (>= 1.0.0), rlang (>= 1.0.0), rstudioapi
        (>= 0.5), tools, yaml (>= 2.1.5)
Suggests: Biobase, BiocManager, foreign, knitr, MASS, plumber (>=
        0.3.2), quarto, RCurl, reticulate, rmarkdown (>= 1.1), shiny,
        testthat (>= 3.1.9), webfakes, withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-07-20 17:09:26 UTC; aron
Author: Aron Atkins [aut, cre],
  Toph Allen [aut],
  Hadley Wickham [aut],
  Jonathan McPherson [aut],
  JJ Allaire [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Aron Atkins <aron@posit.co>
Repository: CRAN
Date/Publication: 2023-07-20 19:00:02 UTC

=== debian/changelog ===
r-cran-rsconnect (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Deactivate patches
  * Test-Depends: build-essential
  * Make sure all zero byte files in tests will end up in /usr/share/doc

 -- Andreas Tille <tille@debian.org>  Wed, 16 Aug 2023 17:59:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_installdocs:
	dh_installdocs
	# for some reason empty files are removed
	# since these are needed for the test suite
	# the files in question will be manually copied
	for dir in shiny-app-in-subdir shinyapp-with-absolute-paths ; do \
	    cp -a tests/testthat/$${dir} debian/*/usr/share/doc/r-cran-*/tests/testthat ; \
	    # leave some trace in build log ; \
	    ls -lR debian/*/usr/share/doc/r-cran-*/tests/testthat/$${dir} ; \
	done

## r-cran-rsconnect 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: rsconnect
 Title: Deploy Docs, Apps, and APIs to 'Posit Connect', 'shinyapps.io',
         and 'RPubs'
-Version: 1.0.1
+Version: 1.2.0
 Authors@R: c(
     person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
     person("Toph", "Allen", role = "aut"),
@@ -32,7 +32,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-07-20 17:09:26 UTC; aron
+Packaged: 2023-12-14 22:20:58 UTC; aron
 Author: Aron Atkins [aut, cre],
   Toph Allen [aut],
   Hadley Wickham [aut],
@@ -41,4 +41,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Aron Atkins <aron@posit.co>
 Repository: CRAN
-Date/Publication: 2023-07-20 19:00:02 UTC
+Date/Publication: 2023-12-15 03:20:02 UTC

=== tests/testthat/quarto-website-r-py/requirements.txt ===
# stub requirements.txt
# Its presence indicates the need for Python dependencies.

=== tests/testthat/packages/latin1package/DESCRIPTION ===
Package: latin1package
Type: Package
Title: Provides some funky characters.
Version: 0.1.0
Author: Jens Frhling
Maintainer: Jens Frhling <some.guy@i.made.him.up>
Description: a test package
License: GPL-2
Encoding: latin1
LazyData: true

=== debian/changelog ===
r-cran-rsconnect (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:55:55 +0100

r-cran-rsconnect (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 14:31:34 +0200

r-cran-rsconnect (1.1.0-1) unstable; urgency=medium

  * Make sure really all zero byte files will be used (also in future
    changes)
  * New upstream version
  * Remove trailing whitespace in debian/rules (routine-update)
  * LC_ALL=C.UTF-8 in autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-curl,
                r-cran-digest,
                r-cran-jsonlite,
+               r-cran-lifecycle,
                r-cran-openssl (>= 2.0.0),
                r-cran-packrat (>= 0.6),
+               r-cran-renv,
+               r-cran-rlang (>= 1.0.0),
                r-cran-rstudioapi,
                r-cran-yaml
 Standards-Version: 4.6.2

## r-cran-rsconnect 1.3.1

=== DESCRIPTION ===
Type: Package
Package: rsconnect
Title: Deploy Docs, Apps, and APIs to 'Posit Connect', 'shinyapps.io',
        and 'RPubs'
Version: 1.3.1
Authors@R: c(
    person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
    person("Toph", "Allen", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Jonathan", "McPherson", role = "aut"),
    person("JJ", "Allaire", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Programmatic deployment interface for 'RPubs',
    'shinyapps.io', and 'Posit Connect'. Supported content types include R
    Markdown documents, Shiny applications, Plumber APIs, plots, and
    static web content.
License: GPL-2
URL: https://rstudio.github.io/rsconnect/,
        https://github.com/rstudio/rsconnect
BugReports: https://github.com/rstudio/rsconnect/issues
Depends: R (>= 3.5.0)
Imports: cli, curl, digest, jsonlite, lifecycle, openssl (>= 2.0.0),
        PKI, packrat (>= 0.6), renv (>= 1.0.0), rlang (>= 1.0.0),
        rstudioapi (>= 0.5), tools, yaml (>= 2.1.5)
Suggests: Biobase, BiocManager, foreign, knitr, MASS, plumber (>=
        0.3.2), quarto, RCurl, reticulate, rmarkdown (>= 1.1), shiny,
        testthat (>= 3.1.9), webfakes, withr
VignetteBuilder: knitr, rmarkdown
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-03 14:23:06 UTC; aron
Author: Aron Atkins [aut, cre],
  Toph Allen [aut],
  Hadley Wickham [aut],
  Jonathan McPherson [aut],
  JJ Allaire [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Aron Atkins <aron@posit.co>
Repository: CRAN
Date/Publication: 2024-06-04 09:50:02 UTC

=== debian/changelog ===
r-cran-rsconnect (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Jun 2024 08:43:49 +0900

## r-cran-rsconnect 1.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Package: rsconnect
 Title: Deploy Docs, Apps, and APIs to 'Posit Connect', 'shinyapps.io',
         and 'RPubs'
-Version: 1.3.1
+Version: 1.3.4
 Authors@R: c(
     person("Aron", "Atkins", , "aron@posit.co", role = c("aut", "cre")),
     person("Toph", "Allen", role = "aut"),
@@ -33,7 +33,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2024-06-03 14:23:06 UTC; aron
+Packaged: 2025-01-22 14:01:14 UTC; aron
 Author: Aron Atkins [aut, cre],
   Toph Allen [aut],
   Hadley Wickham [aut],
@@ -42,4 +42,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Aron Atkins <aron@posit.co>
 Repository: CRAN
-Date/Publication: 2024-06-04 09:50:02 UTC
+Date/Publication: 2025-01-22 14:30:02 UTC

=== tests/testthat/packages/utf8package/DESCRIPTION ===
Package: utf8package
Type: Package
Title: Provides some funky characters.
Version: 0.1.0
Author: Jens Fröhling
Maintainer: Jens Fröhling <some.guy@i.made.him.up>
Description: a test package
License: GPL-2
Encoding: UTF-8
LazyData: true

=== tests/testthat/packages/windows1251package/DESCRIPTION ===
Package: windows1251package
Type: Package
Title: Provides some funky characters.
Version: 0.1.0
Author:  
Maintainer:   <some.guy@i.made.him.up>
Description: a test package
License: GPL-2
Encoding: Windows-1251
LazyData: true

=== debian/changelog ===
r-cran-rsconnect (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 15:46:51 +0900

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,13 @@
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-openssl (>= 2.0.0),
+               r-cran-pki,
                r-cran-packrat (>= 0.6),
                r-cran-renv,
                r-cran-rlang (>= 1.0.0),
                r-cran-rstudioapi,
                r-cran-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsconnect.git
 Homepage: https://cran.r-project.org/package=rsconnect

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_installdocs:
	dh_installdocs
	# for some reason empty files are removed
	# see https://github.com/rstudio/rsconnect/pull/956
	# Thus manually copy over the whole tests/testthat dir
	cp -a tests/testthat debian/*/usr/share/doc/r-cran-*/tests

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-bioc-biobase,
        r-cran-biocmanager,
        r-cran-foreign,
        r-cran-knitr,
        r-cran-mass,
        r-cran-plumber (>= 0.3.2),
        r-cran-rcurl,
        r-cran-reticulate,
        r-cran-rmarkdown (>= 1.1),
        r-cran-shiny,
        r-cran-testthat (>= 3.1.9),
        r-cran-webfakes,
        r-cran-withr,
        build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rsconnect_([-\d.]*)\.tar\.gz
